﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace WpfApplication241.ViewModel
{
  public   class FluidPhase:Base
    {

      int fid = 0;
      string phase = string.Empty;
      string description = string.Empty;

        public int FID 
         {
            get {return fid;} 
            set {fid = value;
            NotifyPropertyChanged("FID");
            }
        }
        public string Phase
        {
            get {return phase;} 
            set {phase = value;
            NotifyPropertyChanged("Phase");
            }
        }
        public string Description
        {
            get {return description;}
            set {description = value;
            NotifyPropertyChanged("Description");
            }

        }

        ObservableCollection<FluidComponent> fluidcomponents = new ObservableCollection<FluidComponent>();
        public ObservableCollection<FluidComponent> FluidComponents
        {
            get { return fluidcomponents; }
            set { fluidcomponents = value;
            NotifyPropertyChanged("FluidComponents");
            }
        }
    }
}
