﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace WpfApplication241.ViewModel
{
  public  class Project
    {
      ObservableCollection<PumpingStage> pumpingstages = new ObservableCollection<PumpingStage>();
      public ObservableCollection<PumpingStage> PumpingStages
      {
          get { return pumpingstages; }
          set { pumpingstages = value; }
      }

      public Project()
      {
        for (int i = 0; i < 2; i++)
        {
             PumpingStage ps = new PumpingStage()
             {
                 ID = i,
                 Stage = "stage " + i.ToString(),
                 Description = "description " + i.ToString()
             };
               pumpingstages.Add(ps);
               for (int j = 0; j < 2; j++)
               {
                   FluidPhase fph = new FluidPhase()
                   {
                        FID = i + j,
                         Phase = "phase " + i.ToString() + " " + j.ToString(),
                         Description = "description " + i.ToString() + " " + j.ToString()
                   };
                   ps.FluidPhases.Add(fph);

                   for (int k = 0; k < 2; k++)
                   {
                        FluidComponent fc = new FluidComponent()
                        {
                             FcID = i + j + k,
                              Component = "component " + i.ToString() + "  " + j.ToString() + " " + k.ToString(),
                               Description = "description  " + i.ToString() + "  " + j.ToString() + " " + k.ToString(),
                        };
                       fph.FluidComponents.Add(fc);
                   }
               }

        }
      }
 
  }

    }
 
