﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace WpfApplication241.ViewModel
{
  public   class PumpingStage:Base
    {
      int id = 0;
      string stage = string.Empty;
      string description = string.Empty;

      public int ID
      {
          get { return id; }

          set {id = value ;
          NotifyPropertyChanged("ID");
          } 
      }

      public string Stage 
      {
          get { return stage; }

          set {stage =value;
          NotifyPropertyChanged("Stage");
          }
      }

      public string Description
      {
          get {return description;}
          set { description = value;
          NotifyPropertyChanged("Description");
          }
      }

      ObservableCollection<FluidPhase> fluidphases = new ObservableCollection<FluidPhase>();
      public ObservableCollection<FluidPhase> FluidPhases
      {
          get { return fluidphases; }
          set { fluidphases = value;
          NotifyPropertyChanged("FluidPhases");
          }
      }
    }
}
